LINUX.ORG.RU

А тебе ведь говорили — ставь Дебиан. А ты такой: не, я хочу компилировать, хочу выжать дополнительные пол процента при запуске wget.
А теперь посмотри на себя. Даже ебилд починить не можешь.
Патрик смотрит на тебя со дна пивной бочки и грустно жуёт дискету — ты ему не нужен. Патрик рад что ты на Генте.

Stahl ★★☆ ()

так никто никому ничего не должен...

WindowsXP ★★ ()

Ну и хер с этой гентой. Есть exherbo.

P.s. у меня тоже ломается. Воистину!

slaykovsky ★★★ ()

r3lgar, «а тем временем в генте всё стабильно» — неужели? :D

commagray ★★★★★ ()

«Визин» у гентуушников кончился?

Bioreactor ★★★★★ ()

генту сломали

А она вообще когда-нибудь работала?

svr4 ()

В чем проблема замаскировать последнюю версию и жить на предыдущей.

Kroz ★★★★★ ()

Можно пример фразы, где кого-то послали? Вижу только пожелания прекратить дискуссию и перенести её на форум.

Там проблема при использовании одного недефолтного флага

USE=idn is not enabled by default anywhere. which means most people are not seeing this breakage.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от Kroz

Там какая-то уязвимость, лучше вручную поставить libunistring с "--oneshot". Проблема в том, что ебилд должен тянуть его по зависимости, а теперь depclean каждый раз предлагает его удалить, что меня печалит уже 4 день (добавлять в world эту библиотеку не буду, сама по себе она не нужна)

TheAnonymous ★★★★★ ()

Мне ничего не остаётся кроме как процитировать vapier:

then again, as other people have already stated, we're waiting on a different bug to be fixed before this one can be. so chiming in here doesn't make much sense.

И если пройти по дереву зависимостей мы увидим этот баг

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 1)

idn - Enable support for Internationalized Domain Names

Ну всё, уж без этого флага совсем теперь ничего не скачать. Трагедия, трагедия!

grem ★★★★★ ()

Не особо и сломано. Фишка в том, что этот ебилд вгета просит libidn из ~. Перенести оба ебилда в одну ветку и всё соберётся.

Драма высосана из пальца.

Bfgeshka ★★★★★ ()
Ответ на: комментарий от Pinkbyte

Почему не добавить зависимость от libunistring, как предложили, хотя бы на время?

  || (
    >=net-dns/libidn2-0.14
    ( <net-dns/libidn2-0.14 dev-libs/libunistring )
  )

Этот libidn2 даже не нужен

TheAnonymous ★★★★★ ()
Ответ на: комментарий от Bfgeshka

На самом деле не совсем так - в качестве временного было предложено решение(не без побочных эффектов) притянуть libunistring руками(более новый libidn из ~ тянет её сам)

Pinkbyte ★★★★★ ()
Ответ на: комментарий от TheAnonymous

Мне ничего не остаётся кроме как отправить тебя почитать Package Manager Specification и убедиться что в данной конструкции есть некоторые побочные эффекты, которые при апдейте на ебилд без данной конструкции могут вылезти боком

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 1)
Ответ на: комментарий от Bfgeshka

Всё ещё проще, поломано только при использовании одного необязательного и недефолтного флага, который обеспечивает использование нелатинских символов в доменных именах. То есть проблема решается отключением этого флага (если сам пользователь его включил) для пакета wget.

grem ★★★★★ ()
Ответ на: комментарий от Bfgeshka

Прикол ещё в том, что не просит, а тупо сборка падает.
Если бы просил, было бы конечно не красиво, но можно было хотя бы заранее добавить в packages.keywords, а так, например, запускаешь обновление 1000 пакетов, оно на wget упало, и всё остановилось

TheAnonymous ★★★★★ ()
Ответ на: комментарий от TheAnonymous

Ты б ещё наскальной живописью занялся, как Шарик. Что сказать то хотел?

Ты часто качаешь wget с кириллических доменов?

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)

Кириллические домены не нужны. Того, кто их придумал нужно посадить на бутылку.

Unicode4all ★★★★★ ()
Ответ на: комментарий от grem

Что у пользователей с языком с не-латинским алфавитом он включен глобально

TheAnonymous ★★★★★ ()

net-misc/wget-1.19.1-r1

Вот ради интереса пересобрал дважды, и дважды не подтверждаю твою багу.

Поломали ебилд

А тебе кто-то давал гарантии, что оно в штабле должно прям у всех заводиться? Это гента, и если ты не готов напрягать свой нежный девственный мозг, то ты будешь страдать, и тебе никто не поможет, ибо ты сам не хочешь себе помочь.

wget (зависимость @system)

Ой, лол, как будто никогда не ломали более серьёзные пакеты — gcc, libc6, python — а ты тут разнылся, что не можешь обновить пакет.

и не исправляют уже 4 дня

А тебе что, кто-то что-то должен? Заплати кому-нибудь, кто выкатит тебе ебилд прямо сейчас, и наслаждайся копроративной поддержкой, которой в генте нет, ибо ты сам себе должен быть поддержкой, или, как я уже говорил выше, страдать.

в ответ на комментарии посылают

Это ЛОР BGO, детка!

Это на стабильной ветке, системный пакет.

Подведём итоги: ты не копроративный клиент, за поддержку не платишь, ноешь людям, которые занимаются этим just4fun в свободное от работы время, беслпатно, не желая приложить усилия для решения проблемы, которая (на BGO) воспроизводится только у тебя. Кто виноват?

r3lgar ★★★★★ ()
Ответ на: комментарий от TheAnonymous

Как это мешает отключить этот use-флаг отдельно для пакета wget (пусть даже временно, сомневаюсь, что для wget это настолько уж актуально вообще)? Я пользователь с не-латинским алфавитом и у меня этот ключ не включен глобально.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от slaykovsky

Есть ли жизнь на exherbo? Что там со стабильностью/актуальностью пакетов? Часто что-то ломается ?

dmtrge ()
Ответ на: комментарий от commagray

r3lgar

Теперь я тебя знаю.

«а тем временем в генте всё стабильно» — неужели? :D

У меня никогда не было штабле-ветки, всегда сидел на тильде, и серьёзных проблем не видел. А если и сталкивался, то всегда мог решить своими силами, а не ходил на ЛОР, и не ныл, как ТС.

Аватарку заценил. Не меняй её!

r3lgar ★★★★★ ()
Последнее исправление: r3lgar (всего исправлений: 2)
Ответ на: комментарий от TheAnonymous

Юникод юникодом, но домены на национальных языках, особенно на русском не нужны.

Unicode4all ★★★★★ ()
Ответ на: комментарий от r3lgar

воспроизводится только у тебя
CC List: 26 users
with 8 votes


что не можешь обновить пакет

Я то могу, но меня раздражает, что ментейнеры упёрлись как бараны, и не выкатывают никакое решение. Всё ждут, пока стабилизируется libidn2-0.14, так зачем ждать? Пропишите его сразу как зависимость, хотя бы при обновлении его сразу предложит размаскировать в keywords, а не потом сюрприз во время сборки.
Всё равно же этот флаг idn «is not enabled by default anywhere. which means most people are not seeing this breakage»

TheAnonymous ★★★★★ ()
Ответ на: комментарий от TheAnonymous

Пропишите его сразу как зависимость, хотя бы при обновлении его сразу предложит размаскировать в keywords, а не потом сюрприз во время сборки.

Просто шикарная идея, делать стабильному пакету зависимость от нестабильного. Лучше уж use флаг замаскировать.

O02eg ★★★★★ ()
Ответ на: комментарий от O02eg

Лучше уж use флаг замаскировать.

Или хотя бы так.
Но согласись, лучше зависимость от нестабильного пакета, чем падающая сборка

TheAnonymous ★★★★★ ()

gentoo опять сломали и не чинят

И не говори… Где ебилды? Слоупочники слоупочно заслоупочили генту!

init_6 ★★★★★ ()
Ответ на: комментарий от TheAnonymous

Тебе это флаг idn для wget действительно нужен и ты им пользуешься или просто пострадать хочется?

grem ★★★★★ ()
Ответ на: комментарий от Pinkbyte

У всех юзеров с idn ломается апдейт четыре дня кряду, а гентовые разработчики ЖДУТ ПОКА ПОЧИНЯТ ДРУГОЙ БАГ вместо того, чтобы замаскировать сломанную версию wget? Да, я пожалуй переведу сервера на что-нибудь другое.

kirk_johnson ★☆ ()
Ответ на: комментарий от Unicode4all

Кириллические домены не нужны. Того, кто их придумал нужно посадить на бутылку.

На бутылку от шампанского и взболтать ее. И повторять процедуру пока не отменят такие домены

Siado ★★★★★ ()
Ответ на: комментарий от grem

Я вообще практически не пользуюсь wget, но страдать приходится

TheAnonymous ★★★★★ ()
Ответ на: комментарий от grem

Нет уж. Хоть он по умолчанию и выключен, схоронять работоспособность ебилда при любом наборе юзов нужно обязательно.

Bfgeshka ★★★★★ ()
Ответ на: комментарий от Bfgeshka

схоронять работоспособность ебилда при любом наборе юзов нужно обязательно

13 флагов, итого 2^13 = 8192 варианта сборки этого пакета

Выключи ты этот idn для wget и собери

# eix net-misc/wget
[I] net-misc/wget
     Available versions:  1.18 ~1.19 ~1.19.1 1.19.1-r1 {debug gnutls idn ipv6 libressl nls ntlm pcre +ssl static test uuid zlib}
     Installed versions:  1.19.1-r1(11:07:14 17.03.2017)(nls pcre ssl zlib -debug -gnutls -idn -ipv6 -libressl -ntlm -static -test -uuid)
     Homepage:            https://www.gnu.org/software/wget/
     Description:         Network utility to retrieve files from the WWW
grem ★★★★★ ()
Ответ на: комментарий от kirk_johnson

Да, я пожалуй переведу сервера на что-нибудь другое.

На здоровье, меньше истерящих пользователей - более продуктивная работа

Pinkbyte ★★★★★ ()
Ответ на: комментарий от kirk_johnson

вместо того, чтобы замаскировать сломанную версию wget?

Замаскировать сломанный на недефолтной конфигурации wget и позволить откатиться пользователям на дырявый на дефолтной? Мммм... как насчёт «нет!»?

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 1)
Ответ на: комментарий от Pinkbyte

Замаскировать сломанную на недефолтной конфигурации wget и позволить откатиться пользователям на дырявую на дефолтной? Мммм... как насчёт «нет!»?

Ну если не можете поддерживать стабильную ветку в СОБИРАЮЩЕМСЯ состоянии, что вам ещё остается? Я уже не говорю о том, что в отличии от всех остальных дистрибутивов, гентушники до сих пор не могут предоставить нормальный способ собрать ядро и initrd без анальных плясок с бубном. Сколько там лет разговоры о переходе на dracut идут? Три?

kirk_johnson ★☆ ()
Последнее исправление: kirk_johnson (всего исправлений: 1)
Ответ на: комментарий от TheAnonymous

idn «is not enabled by default anywhere. which means most people are not seeing this breakage»

Нашёл в пустыне грабли, наступаешь на них, и жалуешься, что «по всей пустыне разбросаны грабли!!!11» Так держать! xD

r3lgar ★★★★★ ()
Ответ на: комментарий от r3lgar

Нашёл в пустыне грабли, наступаешь на них, и жалуешься, что «по всей пустыне разбросаны грабли!!!11» Так держать! xD

alsa и X тоже по дефолту выключены. Если сломают иксы, тоже будешь говорить, что «means most people are not seeing this breakage»?

kirk_johnson ★☆ ()
Последнее исправление: kirk_johnson (всего исправлений: 2)
Ответ на: комментарий от TheAnonymous

Так дело только в зависимости????
Добавь сам, отошли в тикет. Делов минут на 5!

Kroz ★★★★★ ()
Ответ на: комментарий от kirk_johnson

Не скажет, так как большинство увидят эту поломку ещё до стабилизации пакета в дереве

grem ★★★★★ ()

Что, первый раз увидел сломанную сборку на Gentoo? Не нравится - ставь убунту.

Black_Shadow ★★★★★ ()
Ответ на: комментарий от grem

Не скажет, так как большинство увидят эту поломку ещё до стабилизации пакета в дереве.

Если в каком-нибудь X'овом сервисе что-то сломают? Не факт.

kirk_johnson ★☆ ()

Хех, не жалею что вовремя укатился с генты на арч и его производные. На крайний случай поставлю слаку когда весь линуксовый мир уйдет в энтырпрайз и проприетарщину.

karton1 ★★★★ ()
Ответ на: комментарий от kirk_johnson

Если...

Всё зависит от критичности бага, в данном случае ничего страшного нет.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.